namespace SafeCampus.System;
[SugarTable("DepartmentInfo", TableDescription = "院系信息表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
//[IgnoreInitTable]
public class DepartmentInfo : PrimaryKeyEntity
{
    /// <summary>
    /// 院系名称
    /// </summary>
    [SugarColumn(ColumnName = "Name", ColumnDescription = "院系名称", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Name { get; set; }
    /// <summary>
    /// 院系编码
    /// </summary>
    [SugarColumn(ColumnName = "Code", ColumnDescription = "院系编码", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Code { get; set; }

}